Loading...
Searching...
No Matches
field_rdof_sliced_const< FieldRdof >

## Detailed Description

template<class FieldRdof>
class rheolef::details::field_rdof_sliced_const< FieldRdof >

Definition at line 201 of file field_wdof_sliced.h.

Inheritance diagram for field_rdof_sliced_const< FieldRdof >:

## Public Types

using | base = field_rdof_sliced_base< FieldRdof >
using | size_type = typename FieldRdof::size_type
using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | geo_type = typename FieldRdof::geo_type
using | space_type = typename FieldRdof::space_type
using | const_iterator = field_sliced_const_iterator< typename FieldRdof::const_iterator >
using | float_type = typename float_traits< scalar_type >::type
using | space_constitution_type = space_constitution< float_type, memory_type >
Public Types inherited from field_wdof_base< field_rdof_sliced_const< FieldRdof > >
using | size_type = typename field_traits< field_rdof_sliced_const< FieldRdof > >::size_type
using | scalar_type = typename field_traits< field_rdof_sliced_const< FieldRdof > >::scalar_type
using | memory_type = typename field_traits< field_rdof_sliced_const< FieldRdof > >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_rdof_base< Derived >
using | size_type = typename field_traits< Derived >::size_type
using | scalar_type = typename field_traits< Derived >::scalar_type
using | memory_type = typename field_traits< Derived >::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = geo_basic< float_type, memory_type >
using | space_type = space_basic< float_type, memory_type >
Public Types inherited from field_rdof_sliced_base< FieldRdof >
using | size_type = typename FieldRdof::size_type
using | scalar_type = typename FieldRdof::scalar_type
using | memory_type = typename FieldRdof::memory_type
using | float_type = typename float_traits< scalar_type >::type
using | geo_type = typename FieldRdof::geo_type
using | space_type = typename FieldRdof::space_type
using | space_constitution_type = space_constitution< float_type, memory_type >

## Public Member Functions

| field_rdof_sliced_const ()=delete
| field_rdof_sliced_const (const FieldRdof &uh, size_type i_comp)
| field_rdof_sliced_const (const field_wdof_sliced< FieldRdof > &uh_comp)
field_rdof_sliced_const< FieldRdof > & | operator= (const field_rdof_sliced_const< FieldRdof > &uh_comp)=delete
const scalar_type & | dof (size_type idof) const
const_iterator | begin_dof () const
const_iterator | end_dof () const
Public Member Functions inherited from field_wdof_base< field_rdof_sliced_const< FieldRdof > >
std::enable_if< details::is_rheolef_arithmetic< Value >::value, field_wdof_base< field_rdof_sliced_const< FieldRdof > > & >::type | operator= (const Value &)
std::enable_if< has_field_rdof_interface< FieldRdof >::value, field_wdof_base< field_rdof_sliced_const< FieldRdof > > & >::type | operator= (const FieldRdof &)
std::enable_if< has_field_lazy_interface< FieldLazy >::value &&!has_field_rdof_interface< FieldLazy >::value, field_wdof_base< field_rdof_sliced_const< FieldRdof > > & >::type | operator= (const FieldLazy &)
field_wdof_indirect< field_rdof_sliced_const< FieldRdof > > | operator[] (const std::string &dom_name)
field_wdof_indirect< field_rdof_sliced_const< FieldRdof > > | operator[] (const geo_type &dom)
field_wdof_sliced< field_rdof_sliced_const< FieldRdof > > | operator[] (size_type i_comp)
field_wdof_sliced< field_rdof_sliced_const< FieldRdof > > | operator() (size_type i_comp, size_type j_comp)
Public Member Functions inherited from field_rdof_base< Derived >
field_rdof_indirect_const< Derived > | operator[] (const std::string &dom_name) const
field_rdof_indirect_const< Derived > | operator[] (const geo_type &dom) const
field_rdof_sliced_const< Derived > | operator[] (size_type i_comp) const
field_rdof_sliced_const< Derived > | operator() (size_type i_comp, size_type j_comp) const
bool | have_homogeneous_space (space_type &Xh) const
Public Member Functions inherited from field_rdof_sliced_base< FieldRdof >
| field_rdof_sliced_base ()
| field_rdof_sliced_base (const FieldRdof &uh, size_type i_comp)
const space_constitution_type & | get_constitution () const
const distributor & | ownership () const
const communicator & | comm () const
const geo_type & | get_geo () const
const space_type & | get_space () const
size_type | ndof () const
size_type | dis_ndof () const
size_type | _shift (const FieldRdof &uh) const
size_type | _increment (const FieldRdof &uh) const

## Protected Attributes

const FieldRdof | _uh
const_iterator | _start
Protected Attributes inherited from field_rdof_sliced_base< FieldRdof >
space_type | _Vi
size_type | _i_comp

## Additional Inherited Members

Protected Member Functions inherited from field_wdof_base< field_rdof_sliced_const< FieldRdof > >
field_rdof_sliced_const< FieldRdof > & | derived ()
const field_rdof_sliced_const< FieldRdof > & | derived () const
Protected Member Functions inherited from field_rdof_base< Derived >
Derived & | derived ()
const Derived & | derived () const

## Member Typedef Documentation

## base

template<class FieldRdof >

using base = field_rdof_sliced_base<FieldRdof>

Definition at line 209 of file field_wdof_sliced.h.

## size_type

template<class FieldRdof >

using size_type = typename FieldRdof::size_type

Definition at line 210 of file field_wdof_sliced.h.

## scalar_type

template<class FieldRdof >

using scalar_type = typename FieldRdof::scalar_type

Definition at line 211 of file field_wdof_sliced.h.

## memory_type

template<class FieldRdof >

using memory_type = typename FieldRdof::memory_type

Definition at line 212 of file field_wdof_sliced.h.

## geo_type

template<class FieldRdof >

using geo_type = typename FieldRdof::geo_type

Definition at line 213 of file field_wdof_sliced.h.

## space_type

template<class FieldRdof >

using space_type = typename FieldRdof::space_type

Definition at line 214 of file field_wdof_sliced.h.

## const_iterator

template<class FieldRdof >

using const_iterator = field_sliced_const_iterator<typename FieldRdof::const_iterator>

Definition at line 215 of file field_wdof_sliced.h.

## float_type

template<class FieldRdof >

using float_type = typename float_traits<scalar_type>::type

Definition at line 216 of file field_wdof_sliced.h.

## space_constitution_type

template<class FieldRdof >

using space_constitution_type = space_constitution<float_type,memory_type>

Definition at line 217 of file field_wdof_sliced.h.

## Constructor & Destructor Documentation

## field_rdof_sliced_const() [1/3]

template<class FieldRdof >

field_rdof_sliced_const | ( |  | ) |

delete

## field_rdof_sliced_const() [2/3]

template<class FieldRdof >

field_rdof_sliced_const | ( | const FieldRdof & | uh,
|  | size_type | i_comp
| ) |  |

Definition at line 248 of file field_wdof_sliced.h.

## field_rdof_sliced_const() [3/3]

template<class FieldRdof >

field_rdof_sliced_const | ( | const field_wdof_sliced< FieldRdof > & | uh_comp | ) |

Definition at line 255 of file field_wdof_sliced.h.

## Member Function Documentation

## operator=()

template<class FieldRdof >

field_rdof_sliced_const< FieldRdof > & operator= | ( | const field_rdof_sliced_const< FieldRdof > & | uh_comp | ) |

delete

## dof()

template<class FieldRdof >

const scalar_type & dof | ( | size_type | idof | ) | const

Definition at line 225 of file field_wdof_sliced.h.

## begin_dof()

template<class FieldRdof >

const_iterator begin_dof | ( |  | ) | const

Definition at line 226 of file field_wdof_sliced.h.

## end_dof()

template<class FieldRdof >

const_iterator end_dof | ( |  | ) | const

Definition at line 227 of file field_wdof_sliced.h.

## Member Data Documentation

## _uh

template<class FieldRdof >

const FieldRdof _uh

protected

Definition at line 231 of file field_wdof_sliced.h.

## _start

template<class FieldRdof >

const_iterator _start

protected

Definition at line 232 of file field_wdof_sliced.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_wdof_sliced.h